gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] branch master updated (33593dd6 -> 06765a1e)


From: gnunet
Subject: [taler-merchant] branch master updated (33593dd6 -> 06765a1e)
Date: Sat, 20 Nov 2021 20:09:21 +0100

This is an automated email from the git hooks/post-receive script.

sebasjm pushed a change to branch master
in repository merchant.

    from 33593dd6 Convert AC_HELP_STRING to AS_HELP_STRING
     new 966df837 add check in the test
     new 06765a1e remove wrong assert X-Forwarded-Prefix is found. Patch by MS

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 src/backend/taler-merchant-httpd_private-post-orders.c | 9 +++------
 src/testing/test_merchant_order_creation.sh            | 7 +++++++
 2 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/src/backend/taler-merchant-httpd_private-post-orders.c 
b/src/backend/taler-merchant-httpd_private-post-orders.c
index 17131d3b..41b211eb 100644
--- a/src/backend/taler-merchant-httpd_private-post-orders.c
+++ b/src/backend/taler-merchant-httpd_private-post-orders.c
@@ -144,11 +144,8 @@ make_merchant_base_url (struct MHD_Connection *connection,
                                           MHD_HEADER_KIND,
                                           "X-Forwarded-Prefix");
   if (NULL != uri_path)
-  {
-    /* Currently the merchant backend is only supported at the root of the 
path,
-       this might change in the future.  */
-    GNUNET_assert (0);
-  }
+    GNUNET_buffer_write_path (&buf, uri_path);
+  
   if (0 != strcmp (instance_id,
                    "default"))
   {
@@ -228,7 +225,7 @@ execute_transaction (struct TMH_HandlerContext *hc,
                              h_post_data,
                              pay_deadline,
                              claim_token,
-                             order);
+                             order); // called 'contract terms' at database.
   if (qs <= 0)
   {
     /* qs == 0: probably instance does not exist (anymore) */
diff --git a/src/testing/test_merchant_order_creation.sh 
b/src/testing/test_merchant_order_creation.sh
index 0b629426..dfe1759c 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -18,6 +18,13 @@ taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 
'withdrawTestBalance'
 taler-wallet-cli --wallet-db=$WALLET_DB run-until-done 
2>wallet-withdraw-finish-1.err >wallet-withdraw-finish-1.out
 echo " OK"
 
+CURRENCY_COUNT=$(taler-wallet-cli balance | jq '.balances|length')
+if [ "$CURRENCY_COUNT" != "1" ]
+then
+    echo 'should have one currency, withdrawal failed. check log.'
+    exit 1
+fi
+
 #
 # CREATE INSTANCE FOR TESTING
 #

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]